com.independentsoft.exchange

## Class Folder

- java.lang.Object
- - com.independentsoft.exchange.Folder

- Direct Known Subclasses:
    CalendarFolder, ContactsFolder, SearchFolder, SearchFolderParameters, TasksFolder

      public class Folder
      extends java.lang.Object

  Defines a folder to create, get, find, synchronize, or update.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Folder()` Initializes a new instance of the Folder class.
    `Folder(java.lang.String displayName)` Initializes a new instance of the Folder class.
    `Folder(java.lang.String displayName, java.lang.String folderClass)` Initializes a new instance of the Folder class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RetentionTag` | `getArchiveTag()` Gets the archive tag.
    `int` | `getChildFolderCount()` Gets the number of child folders that are contained within a folder.
    `java.lang.String` | `getComment()` Gets a comment of the folder.
    `java.util.Date` | `getCreationTime()` Gets the creation date and time of a folder.
    `java.lang.String` | `getDisplayName()` Gets the display name of a folder.
    `EffectiveRights` | `getEffectiveRights()` Gets the client's rights based on the permission settings for the item or folder.
    `java.lang.String` | `getEntryId()` Gets a MAPI entry identifier of a folder.
    `ExtendedPropertyList` | `getExtendedProperties()` Gets a list of a extended properties for folder.
    `java.lang.String` | `getFolderClass()` Gets the folder class for a given folder.
    `FolderId` | `getFolderId()` Gets the identifier and change key of a folder.
    `java.util.Date` | `getLastModifiedTime()` Gets the date and time the folder was last modified.
    `ManagedFolderInformation` | `getManagedFolderInformation()` Gets information about a managed folder.
    `FolderId` | `getParentId()` Gets the identifier of the parent folder that contains the folder.
    `PermissionSet` | `getPermissionSet()` Gets all the configured permissions for a folder.
    `RetentionTag` | `getRetentionTag()` Gets the retention tag.
    `java.lang.String` | `getSearchKey()` Gets a key that identifies objects for a search.
    `long` | `getSize()` Gets the sizes of specified folders.
    `StandardFolder` | `getStandardFolder()` Represents the StandardFolder type.
    `int` | `getTotalCount()` Gets the total count of items within a given folder.
    `int` | `getUnreadCount()` Gets the count of unread items within a given folder.
    `boolean` | `hasSubFolders()` Gets TRUE if folder contains subfolders.
    `boolean` | `isHidden()` Gets TRUE if folder is hidden.
    `boolean` | `isReadOnly()` Gets TRUE if folder is read only.
    `boolean` | `isSystem()` Gets TRUE if folder is system.
    `void` | `setComment(java.lang.String comment)` Sets a comment of the folder.
    `void` | `setDisplayName(java.lang.String displayName)` Sets the display name of a folder.
    `void` | `setFolderClass(java.lang.String folderClass)` Sets the folder class for a given folder.
    `void` | `setIsHidden(boolean isHidden)` Sets TRUE if folder is hidden.
    `void` | `setPermissionSet(PermissionSet permissionSet)` Sets all the configured permissions for a folder.
    `java.lang.String` | `toString()` Converts the value of the current Folder object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Folder

          public Folder()

      Initializes a new instance of the Folder class.

    - #### Folder

          public Folder(java.lang.String displayName)

      Initializes a new instance of the Folder class.
      Parameters:
        `displayName` - the display name

    - #### Folder

          public Folder(java.lang.String displayName,
                        java.lang.String folderClass)

      Initializes a new instance of the Folder class.
      Parameters:
        `displayName` - the display name
        `folderClass` - the folder class

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current Folder object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getFolderId

          public FolderId getFolderId()

      Gets the identifier and change key of a folder.
      Returns:
        the folder id

    - #### getParentId

          public FolderId getParentId()

      Gets the identifier of the parent folder that contains the folder.
      Returns:
        the parent id

    - #### getFolderClass

          public java.lang.String getFolderClass()

      Gets the folder class for a given folder.
      Returns:
        the folder class

    - #### setFolderClass

          public void setFolderClass(java.lang.String folderClass)

      Sets the folder class for a given folder.
      Parameters:
        `folderClass` - the new folder class

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Gets the display name of a folder.
      Returns:
        the display name

    - #### setDisplayName

          public void setDisplayName(java.lang.String displayName)

      Sets the display name of a folder.
      Parameters:
        `displayName` - the new display name

    - #### getManagedFolderInformation

          public ManagedFolderInformation getManagedFolderInformation()

      Gets information about a managed folder.
      Returns:
        the managed folder information

    - #### getEffectiveRights

          public EffectiveRights getEffectiveRights()

      Gets the client's rights based on the permission settings for the item or folder.
      Returns:
        the effective rights

    - #### getPermissionSet

          public PermissionSet getPermissionSet()

      Gets all the configured permissions for a folder.
      Returns:
        the permission set

    - #### setPermissionSet

          public void setPermissionSet(PermissionSet permissionSet)

      Sets all the configured permissions for a folder.
      Parameters:
        `permissionSet` - the new permission set

    - #### getStandardFolder

          public StandardFolder getStandardFolder()

      Represents the StandardFolder type.
      Returns:
        the standard folder

    - #### getRetentionTag

          public RetentionTag getRetentionTag()

      Gets the retention tag.
      Returns:
        the retention tag

    - #### getArchiveTag

          public RetentionTag getArchiveTag()

      Gets the archive tag.
      Returns:
        the archive tag

    - #### getTotalCount

          public int getTotalCount()

      Gets the total count of items within a given folder.
      Returns:
        the total count

    - #### getChildFolderCount

          public int getChildFolderCount()

      Gets the number of child folders that are contained within a folder.
      Returns:
        the child folder count

    - #### getUnreadCount

          public int getUnreadCount()

      Gets the count of unread items within a given folder.
      Returns:
        the unread count

    - #### getComment

          public java.lang.String getComment()

      Gets a comment of the folder.
      Returns:
        the comment

    - #### setComment

          public void setComment(java.lang.String comment)

      Sets a comment of the folder.
      Parameters:
        `comment` - the new comment

    - #### getEntryId

          public java.lang.String getEntryId()

      Gets a MAPI entry identifier of a folder.
      Returns:
        the entry id

    - #### getCreationTime

          public java.util.Date getCreationTime()

      Gets the creation date and time of a folder.
      Returns:
        the creation time

    - #### getLastModifiedTime

          public java.util.Date getLastModifiedTime()

      Gets the date and time the folder was last modified.
      Returns:
        the last modified time

    - #### getSize

          public long getSize()

      Gets the sizes of specified folders.
      Returns:
        the size

    - #### isHidden

          public boolean isHidden()

      Gets TRUE if folder is hidden.
      Returns:
        true, if is hidden

    - #### setIsHidden

          public void setIsHidden(boolean isHidden)

      Sets TRUE if folder is hidden.
      Parameters:
        `isHidden` - the new checks if is hidden

    - #### isReadOnly

          public boolean isReadOnly()

      Gets TRUE if folder is read only.
      Returns:
        true, if is read only

    - #### isSystem

          public boolean isSystem()

      Gets TRUE if folder is system.
      Returns:
        true, if is system

    - #### hasSubFolders

          public boolean hasSubFolders()

      Gets TRUE if folder contains subfolders.
      Returns:
        true, if successful

    - #### getSearchKey

          public java.lang.String getSearchKey()

      Gets a key that identifies objects for a search.
      Returns:
        the search key

    - #### getExtendedProperties

          public ExtendedPropertyList getExtendedProperties()

      Gets a list of a extended properties for folder.
      Returns:
        the extended properties